>From 6bf9659bedff168e5ac2a59dfa86237d5a28c197 Mon Sep 17 00:00:00 2001
From: Javi Merino <cibervicho@gmail.com>
Date: Sat, 10 Dec 2011 16:32:50 +0000
Subject: [PATCH] debcommit: Learn to commit to hg patch queues

---
 scripts/debcommit.pl |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/scripts/debcommit.pl b/scripts/debcommit.pl
index 815b786..f255786 100755
--- a/scripts/debcommit.pl
+++ b/scripts/debcommit.pl
@@ -517,7 +517,7 @@ sub commit {
 	if (@files_to_commit and $all);
 
     my $action_rc;  # return code of external command
-    if ($prog =~ /^(cvs|svn|svk|hg)$/) {
+    if ($prog =~ /^(cvs|svn|svk)$/) {
 	if (!@files_to_commit && $onlydebian) {
 	    @files_to_commit = ("debian");
 	}
@@ -583,6 +583,18 @@ sub commit {
 	    $action_rc = action($prog, "record", "--logfile", "$fh", "-a", @files_to_commit);
 	}
     }
+    elsif ($prog eq 'hg') {
+	if (!@files_to_commit && $onlydebian) {
+	    @files_to_commit = ("debian");
+	}
+
+	if ($diffmode) {
+            $action_rc = action($prog, "diff", @files_to_commit);
+        } else {
+            my $commit_type = (-s ".hg/patches/status")? "qref" : "commit";
+	    $action_rc = action($prog, $commit_type, "-m", $message, @files_to_commit);
+        }
+    }
     else {
 	die "debcommit: unknown program $prog";
     }
-- 
1.7.7.3

